import type { OperationExecutionRequest } from 'executable-openapi-types';
import { SecurityRequirementObject } from 'openapi3-ts';
/**
 * Implements security requirements validation logic.
 */
export declare const validateSecurity: (security: SecurityRequirementObject[], request: OperationExecutionRequest) => [boolean, {
    [schemeName: string]: string;
}];
